Get inventory quantities
GET https://{handle}.myshopline.com/admin/openapi/v20270301/inventory_levels.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get available inventory quantities for the specified inventory items at locations.
Query Parameters
- inventory_item_ids string requiredThe unique identifiers for inventory items to query, with multiple IDs separated by commas.Example:
5703943240925324252 - location_ids stringThe unique identifiers for locations to query, with multiple IDs separated by commas.Example:
5421703880295066100,5421704248135526901
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
inventory_levelsobject[]
A list of inventory levels. Each level contains available inventory information for an inventory item at its location.available longThe available inventory quantity for the inventory item at this location.Example:10created_at stringThe date and time when the inventory level was created. Format: ISO 8601.Example:2022-12-06T20:23:06+08:00inventory_item_id stringThe unique identifier for the inventory item.Example:5703943240925324252location_id stringThe unique identifier for the location.Example:5421703880295066100updated_at stringThe date and time when the inventory item was last updated. Format: ISO 8601.Example:2022-12-06T20:25:55+08:00variant_id stringThe unique identifier for the variant.Example:18057039432358082693350282
API Explorer
Debugger
Examples
Was this article helpful to you?